Subject: [EAI] [Technical Errata Reported] RFC6857 (3955)

From: RFC Errata System <[email-masked]>
Date: Thu, 10 Apr 2014 19:08:20 -0700 (PDT)

The following errata report has been submitted for RFC6857,
"Post-Delivery Message Downgrading for Internationalized Email Messages".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6857&eid=3955

--------------------------------------
Type: Technical
Reported by: Peter Occil <[email-masked]>

Section: A

Original Text
-------------
   Received: from ... by ...
   Received: from ... by ...
   From: =?UTF-8?Q?DISPLAY-LOCAL?=
         =?UTF-8?Q?[email-masked]?= :;
   To:   =?UTF-8?Q?DISPLAY-REMOTE1?=
         =?UTF-8?Q?[email-masked]?= :;,
         =?UTF-8?Q?DISPLAY-REMOTE2?=
         =?UTF-8?Q?[email-masked]?= :;,
   Cc:   =?UTF-8?Q?DISPLAY-REMOTE3?=
         =?UTF-8?Q?[email-masked]?= :;

Corrected Text
--------------
   Received: from ... by ...
   Received: from ... by ...
   From: =?UTF-8?Q?DISPLAY-LOCAL?=
         =?UTF-8?Q?NON-ASCII-LOCAL=40example=2Ecom?= :;
   To:   =?UTF-8?Q?DISPLAY-REMOTE1?=
         =?UTF-8?Q?NON-ASCII-REMOTE1=40example=2Enet?= :;,
         =?UTF-8?Q?DISPLAY-REMOTE2?=
         =?UTF-8?Q?NON-ASCII-REMOTE2=40example=2Ecom?= :;,
   Cc:   =?UTF-8?Q?DISPLAY-REMOTE3?=
         =?UTF-8?Q?NON-ASCII-REMOTE3=40example=2Eorg?= :;

Notes
-----
The characters '@' and '.' cannot appear in an encoded-word occurring
in a phrase (see rule 3 of section 5 of RFC 2047), so they must be escaped
with '=40' and '=2E', respectively, in the Q encoding.  

(Note: A correction for the Return-Path header field is not given here because the downgrading method for the Return-Path field is wrong from the start: Return-Path is defined as a "path" ("angle-addr" or an empty pair of angle brackets) and not an "address", doesn't contain a "phrase", and isn't an unstructured header field, so the encoded word in Return-Path can't occur where it does in the example.  A future update of this document should take this into account.)

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6857 (draft-ietf-eai-popimap-downgrade-08)
--------------------------------------
Title               : Post-Delivery Message Downgrading for Internationalized Email Messages
Publication Date    : March 2013
Author(s)           : K. Fujiwara
Category            : PROPOSED STANDARD
Source              : Email Address Internationalization
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: [email-masked]
Date: Sun, 13 Apr 2014 21:19:47 -0700 (PDT)

This erratum looks valid to me. I do note that the parenthetical note at
the end should not be included. There probably should be a separate
erratum for the Return-path issue, which should be held for document update.

				Ned

> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima

---

From: Barry Leiba <[email-masked]>
Date: Mon, 14 Apr 2014 13:11:28 -0400

> The thing is, though, I don't know what that erratum should look like.
> Saying that the Return-Path field should be deleted, for example, may go too
> far, as the issue with the Return-Path downgrading may go beyond simply
> deleting that header field.  Though this may be the easiest course to take,
> this is only one of several plausible corrections that ought to be discussed
> in a future update, such as:
>
> - Extending the Return-Path field to allow group syntax, but with limited
> use, as is done for the From and Sender header fields; or
> - Reinstating the Downgraded-Return-Path header field for use in case the
> Return-Path header field can't be converted to ASCII in any other way; or
> - Simply deleting the header field when it contains non-ASCII characters
> (note that Return-Path is optional under sec. 3.6.7 of RFC 5322).
>
> Saying which one is correct goes too far for an erratum.

Well, exactly so, and that's why the RFC Editor does not want the
errata system to be used as an issues collection point.  If you think
something is an erratum, you should submit a report.  If you think
that something's an error, but that correcting the error goes beyond
the scope of errata, you should report the problem someplace else.

Unfortunately, we don't have a good place for that in general.

Fortunately, we do have a good place for that in this case: the former
EAI working group has a wiki, and the report can be added to the wiki
to remind us to deal with it when it's appropriate:
http://tools.ietf.org/wg/eai/trac/wiki

(That's just the raw wiki-start page right now; its entire content can
be replaced with the return-path error report.)

Barry

---

From: John C Klensin <[email-masked]>
Date: Mon, 14 Apr 2014 13:18:47 -0400

--On Monday, 14 April, 2014 13:11 -0400 Barry Leiba
<[email-masked]> wrote:

> Fortunately, we do have a good place for that in this case:
> the former EAI working group has a wiki, and the report can be
> added to the wiki to remind us to deal with it when it's
> appropriate:
> (That's just the raw wiki-start page right now; its entire
> content can be replaced with the return-path error report.)
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 14 Apr 2014 13:22:20 -0400

Sorry for the last note... long night, little sleep.
RFC Editor removed as an act of mercy.

--On Monday, 14 April, 2014 13:11 -0400 Barry Leiba
<[email-masked]> wrote:

>...

The other good news is that a few of us are highly motivated to
move this stuff to full standard as soon as sufficient
interoperability can be demonstrated, so these things, if noted,
are likely to get fixed.  So, Peter, in addition to leaving a
note in the wiki, I suggest you subscribe to the EAI WG mailing
list (if you haven't already) and post a note there inquiring as
to what should be done to fix this... or making a proposal if
you have one.

thanks
   john

---

From: "Peter Occil" <[email-masked]>
Date: Mon, 14 Apr 2014 13:01:33 -0400

--Peter

-----Original Message----- 
From: Ned Freed
Sent: Monday, April 14, 2014 12:19 AM
To: RFC Errata System
Cc: [email-masked] ; [email-masked] ; 
[email-masked] ; [email-masked] ; [email-masked] ; 
[email-masked] ; [email-masked] ; [email-masked]
Subject: Re: [EAI] [Technical Errata Reported] RFC6857 (3955)

Ned